
Redmine - Feature #5242

Display source project for cross-project associated revisions for issues

2010-04-04 00:04 - Michael Ekstrand

Status: Closed Start date: 2010-04-04

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution: Fixed   

Description

When an issue has an associated revision that is in a different project, display its source project as follows:

Revision 90 (in Website)

Added by Michael Ekstrand about 1 hour ago

 Also, make the project name a link to an appropriate page in the project (either its summary or its issue list, I would think).

This will enable readers to quickly see that the associated revision is actually in a different project, something that is difficult at

present.

Related issues:

Related to Redmine - Feature #13715: show SCM identifier (repository) in asso... New

Associated revisions

Revision 21368 - 2022-01-18 16:03 - Go MAEDA

Display source project for cross-project associated revisions for issues (#5242).

Contributed by Felix Schäfer.

History

#1 - 2010-04-05 00:51 - Mischa The Evil

- Category changed from Issues to UI

#2 - 2010-07-15 22:26 - Felix Schäfer

- File adds_project_name_to_associated_revision_link.patch added

This patch adds the name of the project to an associated revision if it's not the same as the current project.

#3 - 2018-09-15 03:01 - Go MAEDA

- Category changed from UI to SCM

- Target version set to Candidate for next major release

#4 - 2018-12-04 04:00 - Yuichi HARADA

- File cross-project-associated-revisions.png added

- File adds_project_name_to_associated_revision_link_v2.patch added

I rebuilt the patch to work with the latest Redmine.

In the cross-project it looks like the following.

 cross-project-associated-revisions.png 

#5 - 2019-04-07 15:32 - Go MAEDA

- Related to Feature #13715: show SCM identifier (repository) in associated revisions added
#6 - 2022-01-12 15:14 - Go MAEDA

- File adds_project_name_to_associated_revision_link_v3.patch added

- Target version changed from Candidate for next major release to 5.0.0

Updated the patch for the current trunk (r21360).

Setting the target version to 5.0.0.

#7 - 2022-01-17 14:47 - Go MAEDA

- File adds_project_name_to_associated_revision_link_v4.patch added

- File v4.png added

Updated the patch again. I think it is even better to show the project name using the format "Project - Revision 999" rather than "Revision 999

(Project)".

In the original patch, two "()" appear after the revision like this: "(Project) (diff)"

The way the project name is displayed first is consistent with "Related issues" section

 

#8 - 2022-01-18 16:03 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

Files

adds_project_name_to_associated_revision_link.patch 1.27 KB 2010-07-15 Felix Schäfer

cross-project-associated-revisions.png 250 KB 2018-12-04 Yuichi HARADA

adds_project_name_to_associated_revision_link_v2.patch 1.88 KB 2018-12-04 Yuichi HARADA

adds_project_name_to_associated_revision_link_v3.patch 2.31 KB 2022-01-12 Go MAEDA

adds_project_name_to_associated_revision_link_v4.patch 2.01 KB 2022-01-17 Go MAEDA

v4.png 87.4 KB 2022-01-17 Go MAEDA
